# Pacwrap Configuration Directives

This document was generated by the pacwrap binary with version 0.8.4-43de5c7-RELEASE (14/09/2024) of the program.

## NAME
#### **pacwrap.yml** - pacwrap configuration file.
#### **repositories.conf** - pacman repository file.

## SYNOPSIS
#### **~/.config/pacwrap/pacwrap.yml**
#### **~/.config/pacwrap/repositories.conf**

## DESCRIPTION
Pacwrap upon invocation will attempt to deserialise **pacwrap.yml**(2) at the location specified herein
compliant with the XDG Directory Specification. Upon activation of **libalpm**(3), the repositories.conf
file will be deserialised by the pacman_conf crate in order to faciliate the population of package
repositories and mirrors.

Repository configuration is parsed using **pacman.conf**(5)'s ini format. All other options related the
**libalpm**(3) as defined by **pacman.conf**(5) therein are otherwise ignored. At present by default, 
the repository configuration, as defined, references the mirrorlist defined by your system. 
This ensures as smooth of an out-of-box experience as humanly possible.

Optionally you may specify environment variables, as specified in **pacwrap**(1), to override
these locations. These options are designated for experienced users only.

## EXAMPLE
```
config:
  logging: Basic
  summary: Table
  progress:
    transact: CondensedForeign
    download: CondensedForeign
alpm:
  ignore_pkg:
  - nvidia-utils
  - lib32-nvidia-utils
```

## SECTIONS
#### **config:**
Configuration pertaining to **pacwrap**(1) are to be declared within this section.

#### **alpm:**
Configuration pertaining to **libalpm**(3) are to be declared within this section.

## CONFIG
#### **logging**: Basic
Logging verbosity specified here. Available options are **Basic**, **Verbose**, and **None**.

#### **summary**: Basic
Transaction summary type. Available options are **Basic**, **BasicForeign**, **Table**, and **TableForeign**. 

Each option suffixed with the **Foreign** juxtaposition, will take effect only during the
juxtaposed transaction type with otherwise the opposite effect.

#### **progress:**
Progress types are declared within this subsection.

## PROGRESS
#### **transact**: CondensedForeign
Progress type for transaction progress is specified with this option. Available values are 
**Basic**, **Condensed**, **CondensedForeign**, **CondensedLocal**, and **Verbose**.

Each option suffixed with the **Foreign** or **Local** juxtaposition, will take effect only during 
the juxtaposed transaction type with otherwise the opposite effect.

#### **download**: Verbose
Download type for download progress is specified with this option. Available values are 
**Basic**, **Condensed**, **CondensedForeign**, **CondensedLocal**, and **Verbose**.

Each option suffixed with the **Foreign** or **Local** juxtaposition, will take effect only during 
the juxtaposed transaction type with otherwise the opposite effect.

## ALPM
#### **ignore_pkg:**
Ignored package(s) are declared herein with a string array.

#### **hold_pkg:**
Held package(s) are declared herein with a string array.

#### **sig_level**: Required DatabaseOptional
Default global signature level - see **pacman.conf**(5) for valid options. Options are declared
as a singular string value.

#### **sig_level_local**: Optional
Default local signature level - see **pacman.conf**(5) for valid options. Options are declared
as a single string value.

#### **check_space**: true
Instructs **libalpm**(3), where applicable, to check if there's available space on disk in order 
to facilitate a transaction. Value is declared with a **bool**.

#### **download_timeout**: true
Instructs **libalpm**(3) to timeout downloads from unsatisfactory mirrors. Value is declared with 
a **bool**.

#### **parallel_downloads**: 1
Instructs **libalpm**(3) to parallelise the download queue with a maximum queue amount. Specify an 
**integer** to declare a maximum value.

#### **disable_sandbox**: false
Instructs **libalpm**(3) to disable the landlock and seccomp sandbox for downloads. Specify a
**bool** to declare a maximum value.

## SEE ALSO
**pacman.conf**(5), **libalpm**(3)

## AUTHOR
Copyright (C) 2023-2024 Xavier Moffett <sapphirus@azorium.net>

## COPYRIGHT
This program may be freely redistributed under the terms of the GNU General Public License v3 only.

